Bug 108671 - Import IETC DOM tests
Summary: Import IETC DOM tests
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on:
Blocks: 76198
  Show dependency treegraph
 
Reported: 2013-02-01 11:48 PST by Zan Dobersek
Modified: 2013-03-25 05:44 PDT (History)
9 users (show)

See Also:


Attachments
Patch (537.13 KB, patch)
2013-02-01 12:00 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (537.39 KB, patch)
2013-02-02 00:43 PST, Zan Dobersek
buildbot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-02-01 11:48:30 PST
Import IETC DOM tests
Comment 1 Zan Dobersek 2013-02-01 12:00:35 PST
Created attachment 186096 [details]
Patch
Comment 2 Zan Dobersek 2013-02-01 12:39:01 PST
Comment on attachment 186096 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=186096&action=review

Two nits I'd like to discuss with potential reviewers:

> LayoutTests/ChangeLog:21
> +        * ietestcenter/dom/core/DOMImplementation_createDocument-expected.txt: Added.

How should the paths be stylized? Would 'ietestcenter/DOM/Core/*' work better that 'ietestcenter/dom/core/*' and similar?

> LayoutTests/ietestcenter/dom/core/DOMImplementation_createDocument.htm:3
> + Internet Explorer Test Pages Copyright © 2012 Microsoft Corporation. All rights reserved.

The license boilerplates use 2012. While the tests are possibly even older that that, shold 2013 be used? (The license used in all the test cases was copied from a random flexbox test.)
Comment 3 WebKit Review Bot 2013-02-01 20:07:15 PST
Comment on attachment 186096 [details]
Patch

Attachment 186096 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16338464

New failing tests:
ietestcenter/dom/inheritance/Prototype_SVGSVGElement.htm
ietestcenter/dom/inheritance/Prototype_SVGCircleElement.htm
ietestcenter/dom/inheritance/Prototype_SVGRectElement.htm
Comment 4 Zan Dobersek 2013-02-02 00:26:51 PST
(In reply to comment #3)
> (From update of attachment 186096 [details])
> Attachment 186096 [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/16338464
> 
> New failing tests:
> ietestcenter/dom/inheritance/Prototype_SVGSVGElement.htm
> ietestcenter/dom/inheritance/Prototype_SVGCircleElement.htm
> ietestcenter/dom/inheritance/Prototype_SVGRectElement.htm

These tests seem to pass with Chromium 26.0.1386.0 and fail with Chromium 26.0.1397.2.
Comment 5 Zan Dobersek 2013-02-02 00:43:31 PST
Created attachment 186219 [details]
Patch
Comment 6 Build Bot 2013-02-02 01:48:17 PST
Comment on attachment 186219 [details]
Patch

Attachment 186219 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/16337676
Comment 7 Zan Dobersek 2013-03-25 05:43:15 PDT
I'm not interested anymore in importing IETC tests as in too many cases they test IE-only behavior or even things that are not actually covered by the related spec.

Not to mention the closed nature of the test suites they are providing, making it extremely hard to scrap all the test cases or to simply provide feedback.